import { defineEncodeDataAttribute } from "@sanity/core-loader/encode-data-attribute";
export const subscribeToChanges = (query, params, client, updateData) => {
  let unsubscribe = () => {
  };
  function setupFetcher(cb) {
    unsubscribe();
    const deepClonedParams = params ? JSON.parse(JSON.stringify(params)) : void 0;
    const fetcher = client.queryStore.createFetcherStore(query, deepClonedParams, void 0);
    unsubscribe = fetcher.subscribe((newSnapshot) => {
      if (newSnapshot.data) {
        const encodeDataAttribute = newSnapshot.sourceMap ? defineEncodeDataAttribute(newSnapshot.data, newSnapshot.sourceMap, client.config.visualEditing?.studioUrl) : void 0;
        updateData(newSnapshot.data, newSnapshot.sourceMap, encodeDataAttribute);
        cb?.(newSnapshot);
      }
    });
  }
  setupFetcher();
};
